ZaLinux.ru

Ruby

Ошибка «Could not find ‘nokogiri’» (РЕШЕНО)

В этой статье рассказывается, как исправить ошибку «Could not find 'nokogiri'». Я столкнулся с этой ошибкой при обновлении wpscan: wpscan --update Пример ошибки: Traceback (most recent call last): 12: from /usr/bin/wpscan:23:in `<main>' 11: from /usr/lib/ruby/vendor_ruby/rubygems.rb:301:in `activate_bin_path' 10: from /usr/lib/ruby/vendor_ruby/rubygems.rb:301:in `synchronize'…
ДАЛЕЕ

Как запустить bundle install от root

Команда bundle install не позволяет запускать её от пользователя root. Например, следующая последовательность команд завершится неудачей: gem update --system xcode-select --install gem install nokogiri bundle install Последняя команда покажет ошибку: Don't run Bundler as root. Bundler can ask for sudo…
ДАЛЕЕ

Как установить конкретную версию Ruby gem?

Некоторые программы корректно работают только когда пакет, который является для них зависимостью, имеет определённую версию. Отсюда возникает вопрос, как я могу установить определённую версию gem с помощью инструмента командной строки? Всё очень просто — используйте флаг -v: gem install nokogiri…
ДАЛЕЕ

Решение проблемы с ошибкой cannot load such file -- test/unit (LoadError)

При установке одной программы на Ruby у меня появлялась ошибка (кстати, программа так и не заработала, но по другим причинам): whitewidow.rb:18:in `require': cannot load such file -- test/unit (LoadError) У некоторых пользователей ошибка выглядит чуть иначе (зависит от программы, которую…
ДАЛЕЕ